Package org.bukkit.event.entity

# Class HorseJumpEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.HorseJumpEvent

All Implemented Interfaces:
  `Cancellable`

public class HorseJumpEvent extends EntityEvent implements Cancellable
Called when a horse jumps.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`HorseJumpEvent(@NotNull AbstractHorse horse, float power)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull AbstractHorse`
`getEntity()`
Returns the Entity involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`float`
`getPower()`
Gets the power of the jump.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Deprecated.
horse jumping was moved client side.
`void`
`setPower(float power)`
Deprecated.
horse jumping was moved client side.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HorseJumpEvent

public HorseJumpEvent(@NotNull @NotNull AbstractHorse horse, float power)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

@Deprecated public void setCancelled(boolean cancel)
Deprecated.
horse jumping was moved client side.
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getEntity

@NotNull public @NotNull AbstractHorse getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### getPower

public float getPower()
Gets the power of the jump.

Power is a value that defines how much of the horse's jump strength should be used for the jump. Power is effectively multiplied times the horse's jump strength to determine how high the jump is; 0 represents no jump strength while 1 represents full jump strength. Setting power to a value above 1 will use additional jump strength that the horse does not usually have.

Power does not affect how high the horse is capable of jumping, only how much of its jumping capability will be used in this jump. To set the horse's overall jump strength, see `AbstractHorse.setJumpStrength(double)`.

Returns:
  jump strength

### setPower

@Deprecated public void setPower(float power)
Deprecated.
horse jumping was moved client side.
Sets the power of the jump.

Jump power can be set to a value above 1.0 which will increase the strength of this jump above the horse's actual jump strength.

Setting the jump power to 0 will result in the jump animation still playing, but the horse not leaving the ground. Only canceling this event will result in no jump animation at all.

Parameters:
  `power` - power of the jump

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()